Skip to main content
POST
Create a User

Authorizations

X-API-KEY
string
header
required

Query Parameters

organization_id
integer

Organization to assign the user to (alternative to the body field)

Body

application/json
external_id
string
required

Unique identifier in your database. This key is unique across your partner account.

email
string<email>
required

Email address of the user.

name
string | null

Customer's display name.

team_name
string | null

Name of a new team to create for this user (if not adding to existing organization).

organization_id
integer | null

ID of an existing organization to add the user to (alternative to the query parameter). Owner-linked organizations require an active viewer-management grant and always assign role 'user'.

role
enum<string> | null

Role to assign to the user in the organization. If provided, organization_id is required.

Available options:
owner,
manager,
user

Response

User created successfully.

embed_token
string | null

Secure, compact embed token for dashboard authentication

Example:

"MTIzNDV8ZDgyZDk3Mzg1OTAxNTkzNA"

user
object
team
object
locations
object[]